<template>
  <component :is="Footer" />
</template>

<script setup lang="ts">
import MyKvFooter from '@/layouts/MyKVFooter.vue';
import SkillboxSimpleFooter from '@/layouts/SkillboxSimpleFooter.vue';
import SkillboxDefaultFooter from '@/layouts/SkillboxDefaultFooter.vue';
import { computed } from 'vue';
import { Flavor } from '@/helpers/flavor.stubabble';

const props = withDefaults(defineProps<{ simple: boolean }>(), {
  simple: true,
});

const flavor = Flavor.getFlavor();
const Footer = computed(() => {
  switch (flavor.appFlavor) {
    case 'my-kv':
    case 'my-dha':
    case 'my-dhf':
      return MyKvFooter;
    default:
      return props.simple ? SkillboxSimpleFooter : SkillboxDefaultFooter;
  }
});
</script>
